package com.mortals.xhx.module.attendance.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.vo.AttendanceExportRecordVo;
/**
 * 导入导出记录实体对象
 *
 * @author zxfei
 * @date 2023-04-17
 */

public class AttendanceExportRecordEntity extends AttendanceExportRecordVo {
    private static final long serialVersionUID = 1L;

    /**
     * 选择部门名称
     */
    private String deptName;
    /**
     * 选择考勤组名称
     */
    private String groupName;
    /**
     * 选择班次名称
     */
    private String className;
    /**
     * 选择开始时间和结束时间段
     */
    private String attendanceDate;
    /**
     * 导出还是导入(1.导出,2.导入)
     */
    private Integer exportOrImport;
    /**
     * 导出文件路径
     */
    private String filePath;
    /**
     * 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     */
    private Integer type;
    /**
     * 备注
     */
    private String remark;
    /**
     * 选择id列表
     */
    private String recordIdList;



    public AttendanceExportRecordEntity(){}
    /**
     * 获取 选择部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 选择部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
     * 获取 选择考勤组名称
     * @return String
     */
    public String getGroupName(){
        return groupName;
    }
    /**
     * 设置 选择考勤组名称
     * @param groupName
     */
    public void setGroupName(String groupName){
        this.groupName = groupName;
    }
    /**
     * 获取 选择班次名称
     * @return String
     */
    public String getClassName(){
        return className;
    }
    /**
     * 设置 选择班次名称
     * @param className
     */
    public void setClassName(String className){
        this.className = className;
    }
    /**
     * 获取 选择开始时间和结束时间段
     * @return String
     */
    public String getAttendanceDate(){
        return attendanceDate;
    }
    /**
     * 设置 选择开始时间和结束时间段
     * @param attendanceDate
     */
    public void setAttendanceDate(String attendanceDate){
        this.attendanceDate = attendanceDate;
    }
    /**
     * 获取 导出还是导入(1.导出,2.导入)
     * @return Integer
     */
    public Integer getExportOrImport(){
        return exportOrImport;
    }
    /**
     * 设置 导出还是导入(1.导出,2.导入)
     * @param exportOrImport
     */
    public void setExportOrImport(Integer exportOrImport){
        this.exportOrImport = exportOrImport;
    }
    /**
     * 获取 导出文件路径
     * @return String
     */
    public String getFilePath(){
        return filePath;
    }
    /**
     * 设置 导出文件路径
     * @param filePath
     */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
     * 获取 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @return Integer
     */
    public Integer getType(){
        return type;
    }
    /**
     * 设置 汇总还是每日打卡记录(1.汇总,2.每日打卡记录)
     * @param type
     */
    public void setType(Integer type){
        this.type = type;
    }
    /**
     * 获取 备注
     * @return String
     */
    public String getRemark(){
        return remark;
    }
    /**
     * 设置 备注
     * @param remark
     */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
     * 获取 选择id列表
     * @return String
     */
    public String getRecordIdList(){
        return recordIdList;
    }
    /**
     * 设置 选择id列表
     * @param recordIdList
     */
    public void setRecordIdList(String recordIdList){
        this.recordIdList = recordIdList;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AttendanceExportRecordEntity) {
            AttendanceExportRecordEntity tmp = (AttendanceExportRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deptName:").append(getDeptName());
        sb.append(",groupName:").append(getGroupName());
        sb.append(",className:").append(getClassName());
        sb.append(",attendanceDate:").append(getAttendanceDate());
        sb.append(",exportOrImport:").append(getExportOrImport());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",type:").append(getType());
        sb.append(",remark:").append(getRemark());
        sb.append(",recordIdList:").append(getRecordIdList());
        return sb.toString();
    }

    public void initAttrValue(){

        this.deptName = "";

        this.groupName = "";

        this.className = "";

        this.attendanceDate = "";

        this.exportOrImport = 1;

        this.filePath = "";

        this.type = 1;

        this.remark = "";

        this.recordIdList = "";
    }
}
